> For the complete documentation index, see [llms.txt](https://docs.corppass.gov.sg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.corppass.gov.sg/technical-specifications/corppass-authorization-api-legacy/endpoints/authorization-info-endpoint/authinfo-structure.md).

# AuthInfo Structure

The `AuthInfo` claim provides detailed user authorization information. The table below describes the fields included in the `AuthInfo` claim returned by the [Authorization Info Endpoint](/technical-specifications/corppass-authorization-api-legacy/endpoints/authorization-info-endpoint.md#response).

{% hint style="info" %}
**Mandatory Field**: Always present in the object and contain values, which could be a blank string if no data is available.

**Non-Mandatory Field**: Included only if data is available and not required by the schema.
{% endhint %}

<table><thead><tr><th width="150.22265625">Field</th><th width="308.171875">Description</th><th width="102.48828125">Data Type</th><th width="71.33984375">Length</th><th width="102.6328125">Mandatory</th></tr></thead><tbody><tr><td>Auth_Result_Set</td><td>JSON object contains authorization result for the user for a specific Digital Service.</td><td>JSON</td><td>-</td><td>Yes</td></tr><tr><td>CPEntID_SUB</td><td>Sub-UEN value of that entity to which the user is assigned the authorization. Sub-UEN is a mandatory attribute for a Digital Service if there is no value was supplied, "ERROR_MISSING_VALUE" will be returned for the field.</td><td>String</td><td>32</td><td>Yes</td></tr><tr><td>CPESrvcID</td><td>ID of the Digital Service that is requesting the authorization.</td><td>String</td><td>25</td><td>Yes</td></tr><tr><td>CPRole</td><td>The role assigned to the user for that Digital Service.</td><td>String</td><td>20</td><td>Yes</td></tr><tr><td>EndDate</td><td>The end date for validity of the role i.e. the date at which this role is no longer valid for the user for that Digital Service.</td><td>String (format YYYY-MM-DD)</td><td>10</td><td>Yes</td></tr><tr><td>ESrvc_Result</td><td>Array of JSON objects, each object contains authorization details for a specific Digital Service.<br>There could be scenario where ESrvc_Row_Count = 0, when ESrvc_Row_Count = 0, ESrvc_Result will be an empty array</td><td>Array of JSON</td><td>-</td><td>Yes</td></tr><tr><td>ESrvc_Row_Count</td><td>This value indicates the number of Digital Services for which the authorizations are present in the Result_Set JSON object.</td><td>Integer</td><td>10</td><td>Yes</td></tr><tr><td>name</td><td>Parameter name defined by defined by Digital Service administrator</td><td>String</td><td>30</td><td>No</td></tr><tr><td>Parameter</td><td>This is optional array of parameters (JSON objects containing only name and value pair attributes) defined by Digital Service administrator. These parameters will be populated as required. These parameters use a name-value pair format and will contain the "Digital Service defined name" from Corppass in the name field.<br>If no parameters are defined this will be returned as empty array.<br>If a parameter is defined as mandatory by the Digital Service administrator but no value was supplied, "ERROR_MISSING_VALUE" will be returned for the field.</td><td>Array of JSON</td><td>-</td><td>Yes</td></tr><tr><td>Result_Set</td><td>Digital Service authorization result set.</td><td>JSON</td><td>-</td><td>Yes</td></tr><tr><td>Row</td><td>Array of JSON objects, each JSON object represents actual authorization values for a given Sub-UEN for a user.</td><td>Array of JSON</td><td>-</td><td>Yes</td></tr><tr><td>Row_Count</td><td>The count of the number of rows included in the auth result set e.g. If the user access to two Sub-UENs within the same entity, the result set will contain two rows with the role information for each Sub-UEN in one individual row.</td><td>Integer</td><td>10</td><td>Yes</td></tr><tr><td>StartDate</td><td>The start date for validity of the role i.e. the date from which this role is valid for the user for that Digital Service.</td><td>String (format YYYY-MM-DD)</td><td>10</td><td>Yes</td></tr><tr><td>value</td><td>Parameter value defined by defined by Digital Service administrator</td><td>String</td><td>66</td><td>No</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.corppass.gov.sg/technical-specifications/corppass-authorization-api-legacy/endpoints/authorization-info-endpoint/authinfo-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
